<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee" version="2.5"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd">
    <display-name>Library</display-name>

    <context-param>
        <param-name>javax.servlet.jsp.jstl.fmt.localizationContext</param-name>
        <param-value>messages</param-value>
    </context-param>

    <context-param>
        <param-name>javax.servlet.jsp.jstl.fmt.fallbackLocale</param-name>
        <param-value>en</param-value>
    </context-param>

    <context-param>
        <param-name>dao-factory</param-name>
        <param-value>com.epam.rd2017.dao.impl.DaoFactoryImpl</param-value>
    </context-param>

    <context-param>
        <param-name>service-factory</param-name>
        <param-value>com.epam.rd2017.service.impl.ServiceFactoryImpl</param-value>
    </context-param>

    <jsp-config>
        <jsp-property-group>
            <url-pattern>*.jsp</url-pattern>
            <page-encoding>UTF-8</page-encoding>
        </jsp-property-group>
    </jsp-config>

    <listener>
        <listener-class>com.epam.rd2017.web.listener.InitServicesListener</listener-class>
    </listener>

    <filter>
        <filter-name>SecurityFilter</filter-name>
        <filter-class>com.epam.rd2017.web.filter.SecurityFilter</filter-class>
    </filter>

    <filter-mapping>
        <filter-name>SecurityFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>

    <servlet>
        <servlet-name>BooksServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.BooksServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>BooksServlet</servlet-name>
        <url-pattern>/catalogue</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>LoginServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.LoginServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>LoginServlet</servlet-name>
        <url-pattern>/login</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>LogoutServlet</servlet-name>
        <url-pattern>/logout</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>LogoutServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.LogoutServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>RegistrationServlet</servlet-name>
        <url-pattern>/registration</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>RegistrationServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.RegistrationServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>SortCatalogueServlet</servlet-name>
        <url-pattern>/sortcatalogue</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>SortCatalogueServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.SortCatalogueServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>SearchCatalogueServlet</servlet-name>
        <url-pattern>/searchcatalogue</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>SearchCatalogueServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.SearchCatalogueServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>EditBookServlet</servlet-name>
        <url-pattern>/editbook</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>EditBookServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.EditBookServlet</servlet-class>
    </servlet>

    <servlet>
        <servlet-name>UsersServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.UsersServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>UsersServlet</servlet-name>
        <url-pattern>/users</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>EditUserServlet</servlet-name>
        <url-pattern>/edituser</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>EditUserServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.EditUserServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>SearchUsersServlet</servlet-name>
        <url-pattern>/searchusers</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>SearchUsersServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.SearchUsersServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>OrderBooksServlet</servlet-name>
        <url-pattern>/order</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>OrderBooksServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.OrderBooksServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>OrdersServlet</servlet-name>
        <url-pattern>/orders</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>OrdersServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.OrdersServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>ProcessOrderServlet</servlet-name>
        <url-pattern>/processorder</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>ProcessOrderServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.ProcessOrderServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>IssuesServlet</servlet-name>
        <url-pattern>/issues</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>IssuesServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.IssuesServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>SearchIssuesServlet</servlet-name>
        <url-pattern>/searchissues</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>SearchIssuesServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.SearchIssuesServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>ReturnIssueServlet</servlet-name>
        <url-pattern>/returnissue</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>ReturnIssueServlet</servlet-name>
        <servlet-class>com.epam.rd2017.web.servlet.ReturnIssueServlet</servlet-class>
    </servlet>

    <welcome-file-list>
        <welcome-file>resources/views/index.jsp</welcome-file>
    </welcome-file-list>
</web-app>